Skip to main content
DELETE
/
api
/
v2
/
public
/
config
/
field
/
:fieldId
curl -X DELETE "https://app.refold.ai/api/v2/public/config/field/{fieldId}" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "linked_account_id: YOUR_LINKED_ACCOUNT_ID" \
  -H "slug: {slug}"
{
  "id": "699fec7a5bd27ed2af7243ad",
  "name": "Select",
  "field_type": "select",
  "multiple": true,
  "options": [
    { "name": "A", "value": "A" },
    { "name": "B", "value": "B" },
    { "name": "C", "value": "C" }
  ],
  "defaultValue": ""
}
Clear the value of a single config field, optionally scoped to a specific workflow. The field returns to its unset/default state.

Authentication

This endpoint is scoped to a linked account, so it accepts either authentication method. Option 1 — API key
x-api-key
string
Your Refold API key.
linked_account_id
string
The linked account.
Option 2 — Session token
Authorization
string
Session token. Format: Bearer YOUR_SESSION_TOKEN

Headers

slug
string
required
The app slug. Example: hubspot

Path Parameters

fieldId
string
required
The field ID to clear.

Query Parameters

config_id
string
Config to scope to. Defaults to the linked account’s config.
workflow_id
string
Scope to a specific workflow.

Response

Returns the field with its value cleared.
{
  "id": "699fec7a5bd27ed2af7243ad",
  "name": "Select",
  "field_type": "select",
  "multiple": true,
  "options": [
    { "name": "A", "value": "A" },
    { "name": "B", "value": "B" },
    { "name": "C", "value": "C" }
  ],
  "defaultValue": ""
}
curl -X DELETE "https://app.refold.ai/api/v2/public/config/field/{fieldId}" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "linked_account_id: YOUR_LINKED_ACCOUNT_ID" \
  -H "slug: {slug}"